Diff для бинарных офисных файлов

Скрипт вытаскивает текст из двух файлов (doc, odt, docx, pdf, xls, xlsx, ods, rtf) и сравнивает эти тексты в моей любимой программе meld.

Я применяю этот скрипт для сравнения файлов в Eclipse. Для этого надо поставить плагин. В SVN плагине Subversive уже есть функция External diff. А затем в качестве внешней команды сравнения настроить этот скрипт.

Продолжить чтение

Выход свободной облачной платформы OpenStack 2013.2 "Havana"

Увидел свет восьмой релиз платформы OpenStack, выпущенный под кодовым именем "Havana". В новом выпуске реализовано более 400 улучшений и закрыто более 3000 отчётов об ошибках. В развитии продукта приняли участие 910 разработчиков, представляющих 145 различных компаний.

Платформа OpenStack включает в себя набор взаимосвязанных компонентов, нацеленных на создание как публичных cloud-сервисов, подобных Amazon EC2, так и приватных cloud-окружений, работающих на собственном оборудовании и полностью подконтрольных компании. Среди поддерживаемых систем виртуализации: KVM, QEMU, Xen, Hyper-V, Citrix XenServer, контейнеры LXC и VMWare/vSphere ESX/ESXi. OpenStack обладает превосходной масштабируемостью и способен обслуживать инфраструктуру из сотен тысяч виртуальных серверов.

Продолжить чтение

PHP Правильный путь.

В интернете очень много устаревшей информации, которая приводит к заблуждению, распространению неверных решений и написанию плохого кода у начинающих PHP-разработчиков. Это нужно остановить. PHP: Правильный Путь — легкочитаемое руководство для быстрого ознакомления с правилами эффективного использования PHP, принятыми стандартами написания кода и ссылками на признанные руководства по всему интернету.

Уязвимости в ядре Linux, TYPO3, Dovecot, ownCloud и Cacti

Несколько недавно выявленных уязвимостей под катом

Продолжить чтение

Обновление SSH-клиента PuTTY 0.63 с устранением уязвимостей

Представлен релиз открытого SSH-клиента для Unix и Windows - PuTTY 0.63, исходные тексты которого распространяются под лицензией MIT. В новой версии устранена серия уязвимостей. В частности, проблема (CVE-2013-4206) в коде обработки DSA-сигнатур позволяет организовать выполнение кода на стороне клиента при попытке подключения к серверу злоумышленника. При этом уязвимость проявляется на стадии до проверки ключей сервера, т.е. злоумышленник может путём спуфинга или MITM-атаки организовать подключение к своему серверу вместо сервера, к которому пытается подключиться пользователь. Всем пользователям PuTTY рекомендуется срочно обновить приложение.

Putty 0.63 Stable

Продолжить чтение

Новые сообщения